<!DOCTYPE html>
<html>
<head>
<meta charset="ISO-8859-1">
<title>Sorting Application</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>
	$(document).ready(function() {
		$('#inputNumbersLabel').hide();
		$('#sortedNumbersLabel').hide();
		$('#timeTakenLabel').hide();
	
		
		$("#sortBtn").click(function() {
			if($('#inputText').val().trim() == ""){
				$('#errorMessageDiv').html("Input cannot be blank");
			} else {
				var hostPath = window.location.host;
				$.ajax({
					url : "http://" + hostPath + "/sortRedirect/"
							+ $('#inputText').val(),
					type: 'post',
					success : function(result) {
				
						
							$('#inputNumbersLabel').show();
							$('#sortedNumbersLabel').show();
							$('#timeTakenLabel').show();
							$("#inputNumbers").html(result.inputNumbers);
							$("#sortedNumbers").html(result.sortedNumbers);
							$("#timeTaken").html(result.timeTaken);
							$('#inputText').val("");
							
						
					}
				});
			}
		});
		

		
	});
</script>
</head>
<body>
	<div id="heading" style="text-align: center">
		<h1>Number Sort Application</h1>
	</div>
	<div id="errorMessageDiv" style="width: 100%;color: red;">
	</div>

	<table>
		<tr>
			<td style="width: 33%"> Enter the numbers (, seperated)
				</td>
			<td style="width: 33%"><input type="text" id="inputText"
				style="width: 100%" /></td>
			<td style="width: 33%"></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
		
		</tr>
		<tr>
			
			<td><button id="sortBtn">Sort Numbers</button></td>
			
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
			
		</tr>
		<tr>
			<td><label id="inputNumbersLabel">Provided Input:</label></td>
			<td id="inputNumbers"></td>
			<td></td>
		</tr>
		<tr>
			<td><label id="sortedNumbersLabel">Sorted Numbers:</label></td>
			<td id="sortedNumbers"></td>
			<td></td>
		</tr>
		<tr>
			<td><label id="timeTakenLabel">Time taken to Sort :</label></td>
			<td id="timeTaken"></td>
			<td></td>
		</tr>
	</table>
	<div id="resultDiv" style="width: 100%">
	<table id="resultsTable" style="border: solid;">
	</table>
	</div>

</body>
</html>
